package intrinsic.mx.effects.effectClasses;

public class CompositeEffectInstance extends intrinsic.mx.effects.EffectInstance {

	/** Accessors */
	public double playheadTime;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CompositeEffectInstance() {
}

public CompositeEffectInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void play();
public native void finishEffect();
public native void pause();
public native void onTweenUpdate(Object arg0);
public native void reverse();
public native void stop();
public native void addChildSet(intrinsic.Array arg0);
public native void initEffect(intrinsic.flash.events.Event arg0);
public native void resume();
public native void onTweenEnd(Object arg0);

}
